package com.iamberry.wechat.service.wechat.dao;

import java.util.List;

import com.iamberry.wechat.core.entity.PaperBean;
import com.iamberry.wechat.core.entity.wx.KeyWord;
import com.iamberry.wechat.core.entity.wx.PagingDTO;

public interface KeyWordDAO {
	public KeyWord getById(Long keyServiceNo);
	
	/**
	 * 查询关键字列表
	 * @param bean
	 * @return
	 */
	public List<KeyWord> selectKeyList(PaperBean bean);
	
	/**
	 * 查询关键字的数量
	 * @param keyWord
	 */
	public Integer selectKeyListCount(PaperBean bean);
	
	/**
	 * 批量删除
	 * @param keyWord
	 */
	public Integer batchDelKeyWordById(List<Integer> delIdList);
	
	/**
	 * 单个删除
	 * @param keyWord
	 */
	public Integer deleteKeyWordById(Long id);
	
	void insert(KeyWord keyword);
	void updateByPrimaryKey(KeyWord keyword);
	
	/**
	 * 共分多少页
	 */
	public int getPageNum(String pubNo, int selectNum);
	/**
	 * 分页显示内容 
	 */
	public List<KeyWord> getBypubNoAndPageNo(PagingDTO pdto);
	public KeyWord getByKeyWord(String keyword);
}
